org.apache.ignite.internal.client.thin

## Class ProtocolVersion

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ProtocolVersion

All Implemented Interfaces:
  Comparable<ProtocolVersion>

    public final class ProtocolVersion
    extends Object
    implements Comparable<ProtocolVersion>

Thin client protocol version.

### Field Summary

Fields
`static ProtocolVersion` `LATEST_VER` The most actual version.
`static ProtocolVersion` `V1_0_0` Protocol version 1.0.0.
`static ProtocolVersion` `V1_1_0` Protocol version: 1.1.0.
`static ProtocolVersion` `V1_2_0` Protocol version: 1.2.0.
`static ProtocolVersion` `V1_3_0` Protocol version: 1.3.0.
`static ProtocolVersion` `V1_4_0` Protocol version: 1.4.0.
`static ProtocolVersion` `V1_5_0` Protocol version: 1.5.0.
`static ProtocolVersion` `V1_6_0` Protocol version: 1.6.0.
`static ProtocolVersion` `V1_7_0` Protocol version: 1.7.0.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ProtocolVersion other)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`short` `major()`
`short` `minor()`
`short` `patch()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### V1_7_0

    public static final ProtocolVersion V1_7_0

Protocol version: 1.7.0. Features support.

#### V1_6_0

    public static final ProtocolVersion V1_6_0

Protocol version: 1.6.0. Expiration policy support.

#### V1_5_0

    public static final ProtocolVersion V1_5_0

Protocol version: 1.5.0. Transactions support.

#### V1_4_0

    public static final ProtocolVersion V1_4_0

Protocol version: 1.4.0. Partition awareness.

#### V1_3_0

    public static final ProtocolVersion V1_3_0

Protocol version: 1.3.0.

#### V1_2_0

    public static final ProtocolVersion V1_2_0

Protocol version: 1.2.0.

#### V1_1_0

    public static final ProtocolVersion V1_1_0

Protocol version: 1.1.0.

#### V1_0_0

    public static final ProtocolVersion V1_0_0

Protocol version 1.0.0.

#### LATEST_VER

    public static final ProtocolVersion LATEST_VER

The most actual version.

### Method Detail

#### major

    public short major()

Returns:
  Major.

#### minor

    public short minor()

Returns:
  Minor.

#### patch

    public short patch()

Returns:
  Patch.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo(ProtocolVersion other)

Specified by:
  `compareTo` in interface `Comparable<ProtocolVersion>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021